<div class="container">
    <h2>
        <span>Buat Data Invoice PPJK / KASNEGARA</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px">
            <div class="row">
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nott">No Tanda Terima</label>
                        <input type="text" class="form-control" name="address" id="field_nott"
                            [(ngModel)]="inv.receiptno" autocomplete="off" [disabled]="isview" />
                        <div class="ui-g-12">
                            <div class="ui-g-4">
                                <button type="button" [routerLink]="[
                    '/',
                    { outlets: { popup: 'tanda-terima-as-lov' } }
                  ]" replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                                    <span>Cari Tanda Terima
                                        <i class="fa fa-search" aria-hidden="true"></i></span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tgltt">Tanggal Tanda Terima</label>
                        <p-calendar [showIcon]="true" [(ngModel)]="dtReceipt" [disabled]="isview"></p-calendar>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Suplier</label>
                        <input type="text" class="form-control" name="address" id="field_address"
                            [(ngModel)]="inv.invno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Pajak Suplier</label>
                        <input type="text" class="form-control" name="kpayterms" id="field_payterms"
                            [(ngModel)]="inv.taxinvno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true" [disabled]="isview"></p-autoComplete>
                    </div>
                </div>

                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]="isview"></p-autoComplete>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov' } }]" replaceUrl="true"
                label="cari" class="btn btn-danger btn-block" [disabled]="isview">
                <span>Cari Nomor PO</span>
            </button>
            <br />
            <p-toggleButton [(ngModel)]="togleCheck" (onChange)="handleChange($event)" onLabel="PPJK"
                offLabel="KASNEGARA" onIcon="fa-check-square" offIcon="fa-square"
                [style]="{ width: '150px' }"></p-toggleButton>
        </div>
        <div class="ui-g-12">
            <p-dataTable [value]="invItems" [editable]="true" [responsive]="true">
                <header></header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{ rowIndex + 1 }}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <a (click)="openPdf(rowData)">{{rowData.noPO}}</a> -->
                        {{ rowData.nopo }}
                    </ng-template>
                </p-column>
                <p-column header="Harga DPP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.price | number : "1.0-2" }}
                    </ng-template>
                </p-column>
                <p-column header="Disc" [style]="{ 'text-align': 'right' }">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.totaldisc | number : "1.0-2" }}
                    </ng-template>
                </p-column>
                <p-column header="PPN" [style]="{ 'text-align': 'right' }">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.totalppn | number : "1.0-2" }}
                    </ng-template>
                </p-column>
                <p-column header="Harga Total">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.totalprice | number : ".0-2" }}
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="deleteItem(rowData)"
                            pTooltip="Hapus Data"></button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-12">
                <h5 style="text-transform: uppercase; text-align: left; font-weight:bold; margin-left: 20px;">History
                    Pembayaran PPJK / KASNEGARA</h5>
                <div class="modal-body">
                    <p-dataTable [value]="listpaypo" [editable]="true" [responsive]="true">
                        <header>
                        </header>
                        <p-column header="No">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="No Tanda Terima">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.tanda_terima}}
                            </ng-template>
                        </p-column>
                        <p-column header="No PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nopo}}
                            </ng-template>
                        </p-column>
                        <p-column header="PPJK">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.ppjk | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="KASNEGARA">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.kasnegara | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Tanggal Bayar Finance">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dtpay | date:'dd/MM/yyyy'}}
                            </ng-template>
                        </p-column>>
                        <p-column header="Total PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.totalpo | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Sisa PO">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.sisapo | number:'1.0-2'}}
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
            </div>
            <div class="ui-g-6" *ngIf="togleCheck">
                <label class="form-control-label" for="field_total">Catatan PPJK</label>
                <textarea class="form-control" name="Catatan" id="field_Catatan" [(ngModel)]="inv.catatan_dp" rows="5"
                    cols="30" maxlength="750" pInputTextarea autoResize="autoResize"></textarea>
                <!-- <label class="form-control-label" for="field_note">Contoh "Trade In"</label> -->
            </div>
            <div class="ui-g-6" *ngIf="!togleCheck">
                <label class="form-control-label" for="field_total">Catatan KASNEGARA</label>
                <textarea class="form-control" name="Catatan" id="field_Catatan" [(ngModel)]="inv.catatan_dp" rows="5"
                    cols="30" maxlength="750" pInputTextarea autoResize="autoResize"></textarea>
                <!-- <label class="form-control-label" for="field_note">Contoh "Trade In"</label> -->
            </div>
            <div class="ui-g-6">
                <div class="ui-g-12" *ngIf="togleCheck">
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">Sub Total PPJK</label>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.subtotal"
                            [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" (blur)="countppn()"/>
                    </div>
                </div>
                <div class="ui-g-12" *ngIf="!togleCheck">
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">Sub Total KASNEGARA</label>
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="inv.subtotal" [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" (blur)="countppn()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label" for="field_total">PPN</label><br />
                    <label class="form-control-label" for="field_Tipe">Ceklist Untuk PPN</label>
                    <p-checkbox inputId="opt2" name="ppncheck" binary="true" [(ngModel)]="nomppn"
                        (click)="countppn()"></p-checkbox>
                    <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="inv.ppn" [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" readonly="true" />
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label" for="field_total">Biaya Tambahan</label>
                    <input currencyMask class="form-control" name="addcost" id="field_addcost" [(ngModel)]="inv.addcost"
                        [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                        (blur)="countppn()" />
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label" for="field_total">Catatan Biaya Tambahan (Contoh "Ongkir")</label>
                    <input class="form-control" type="text" [(ngModel)]="inv.addcostnote" style="width: 100%;" />
                </div>
                <div class="ui-g-12" *ngIf="togleCheck">
                    <label class="form-control-label" for="field_total">Total PPJK</label>
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                            <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan"
                                (click)="countppn()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{
                                lblpembualatan
                                }}</label>
                        </div>
                        <div class="ui-g-6" *ngIf="pembulatan === true">
                            <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan"
                                (click)="countppn()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{
                                lbljnspembulatan
                                }}</label>
                        </div>
                    </div>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.grandtotal"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" />
                </div>
                <div class="ui-g-12" *ngIf="!togleCheck">
                    <label class="form-control-label" for="field_total">Total KASNEGARA</label>
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                            <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan"
                                (click)="countppn()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{
                                lblpembualatan
                                }}</label>
                        </div>
                        <div class="ui-g-6" *ngIf="pembulatan === true">
                            <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan"
                                (click)="countppn()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{
                                lbljnspembulatan
                                }}</label>
                        </div>
                    </div>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.grandtotal"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" />
                </div>
                
            </div>
            
            <div class="ui-g-12" style="margin-bottom: 50px">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createINV()" [disabled]="isview || saveBool"></button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px"></div>
<p-confirmDialog></p-confirmDialog>